/*
 * windefs.c: default settings that are specific to Windows.
 */

#include "putty.h"

#include <commctrl.h>

FontSpec *platform_default_fontspec(const char *name)
{
    if (!strcmp(name, "Font"))
//MOBAMODIF
        return fontspec_new("MobaFont", 0, 10, ANSI_CHARSET);
//END_MOBAMODIF
    else
        return fontspec_new("", 0, 0, 0);
}

Filename *platform_default_filename(const char *name)
{
    if (!strcmp(name, "LogFileName"))
//MOBAMODIF
	return filename_from_str("&Y-&M-&D_&T.log");
//END_MOBAMODIF
    else
	return filename_from_str("");
}

char *platform_default_s(const char *name)
{
    if (!strcmp(name, "SerialLine"))
	return dupstr("COM1");
    return NULL;
}

int platform_default_i(const char *name, int def)
{
    return def;
}
